//
//  Checkers.h
//  Checkers
//
//  Created by Vincent Tanakas on 5/28/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
@interface Checkers : NSObject
{
  uint currentPlayer_;  //  The current player.
  NSMutableArray *squares_; //  Array of valid squares where checkers are placed.
  
  NSMutableSet *playerOneCheckers_;
  NSMutableSet *playerTwoCheckers_;
}

@property (readonly, assign, nonatomic) uint currentPlayer;

- (void) newGame;
- (BOOL) moveCheckerFromRow:(uint)fromRow column:(uint)fromColumn toRow:(uint)toRow column:(uint)toColumn;
- (BOOL) jumpCheckerFromRow:(uint)fromRow column:(uint)fromColoumn toRow:(uint)toRow column:(uint)toColumn;

- (id) checkerInRow:(uint)row column:(uint)column;

- (uint) playerAtRow:(uint)row column:(uint)column;


@end
